#### D.15.3.33 toddE

Procedure from library `chern.lib` (see chern_lib).

Usage:
  toddE(l); l a list of polynomials

Return:
  polynomial

Purpose:
  computes the highest relevant term of the Todd class

Note:
  returns an empty list if l is empty,
  very inefficient because the elimination is used, included for comparison with todd(c)

Example:

    LIB "chern.lib";
    // first  3 terms of the Todd class in terms of the Chern classes c(1), c(2), c(3)
    ring r=0, (c(1..3)), dp;
    list l;
    //first term
    l=c(1);
    print( toddE( l ) );
    ==> 1/2*c(1)
    // second term
    l=c(1..2);
    print( toddE( l ) );
    ==> 1/12*c(1)^2+1/12*c(2)
    // third term
    l=c(1..3);
    print( toddE( l ) );
    ==> 1/24*c(1)*c(2)

User manual for Singular version 4-0-3, 2016, generated by texi2html.